summaryrefslogtreecommitdiffstats
path: root/binutils-2.21/move-if-change
diff options
context:
space:
mode:
Diffstat (limited to 'binutils-2.21/move-if-change')
-rwxr-xr-xbinutils-2.21/move-if-change22
1 files changed, 22 insertions, 0 deletions
diff --git a/binutils-2.21/move-if-change b/binutils-2.21/move-if-change
new file mode 100755
index 0000000..ff74a55
--- /dev/null
+++ b/binutils-2.21/move-if-change
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Like mv $1 $2, but if the files are the same, just delete $1.
+# Status is zero if successful, nonzero otherwise.
+
+usage="$0: usage: $0 SOURCE DEST"
+
+case $# in
+2) ;;
+*) echo "$usage" >&2; exit 1;;
+esac
+
+for arg in "$1" "$2"; do
+ case $arg in
+ -*) echo "$usage" >&2; exit 1;;
+ esac
+done
+
+if test -r "$2" && cmp -s "$1" "$2"; then
+ rm -f "$1"
+else
+ mv -f "$1" "$2"
+fi